aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHorea Christian <horea.christ@yandex.com>2019-01-15 22:52:56 +0100
committerHorea Christian <horea.christ@yandex.com>2019-01-15 22:52:56 +0100
commit652a29d0e2b7fb59f5f87d535f65534ae59af01e (patch)
treeaddc2a8a5cc7185de25d4f754cd7e7f521ddee9a
parentsci-libs/nipype: added python_2* dependency (diff)
downloadsci-652a29d0e2b7fb59f5f87d535f65534ae59af01e.tar.gz
sci-652a29d0e2b7fb59f5f87d535f65534ae59af01e.tar.bz2
sci-652a29d0e2b7fb59f5f87d535f65534ae59af01e.zip
sci-libs/nipype: Updated license, copyright, EAPI
tests, and PYTHON_COMPAT Package-Manager: Portage-2.3.55, Repoman-2.3.12 Signed-off-by: Horea Christian <horea.christ@yandex.com>
-rw-r--r--sci-libs/nipype/nipype-9999.ebuild44
1 files changed, 21 insertions, 23 deletions
diff --git a/sci-libs/nipype/nipype-9999.ebuild b/sci-libs/nipype/nipype-9999.ebuild
index 30c5a6493..df9829dbd 100644
--- a/sci-libs/nipype/nipype-9999.ebuild
+++ b/sci-libs/nipype/nipype-9999.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
-PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
PYTHON_REQ_USE="threads(+),sqlite"
inherit distutils-r1 git-r3
@@ -13,48 +13,46 @@ HOMEPAGE="http://nipy.sourceforge.net/nipype/"
SRC_URI=""
EGIT_REPO_URI="https://github.com/nipy/nipype"
-LICENSE="BSD"
+LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS=""
IUSE="test"
DEPEND="
dev-python/future[${PYTHON_USEDEP}]
- dev-python/prov[${PYTHON_USEDEP}]
dev-python/numpy[${PYTHON_USEDEP}]
+ ~dev-python/prov-1.5.0[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]
- >=sci-libs/nibabel-2.0.1[${PYTHON_USEDEP}]
+ sci-libs/nibabel[${PYTHON_USEDEP}]
test? (
dev-python/mock[${PYTHON_USEDEP}]
dev-python/pytest[${PYTHON_USEDEP}]
dev-python/pytest-xdist[${PYTHON_USEDEP}]
- )
- $(python_gen_cond_dep 'dev-python/configparser[${PYTHON_USEDEP}]' python2_7)
+ ${RDEPEND}
+ )
+ $(python_gen_cond_dep '
+ dev-python/futures[${PYTHON_USEDEP}]
+ dev-python/configparser[${PYTHON_USEDEP}]' python2_7)
"
RDEPEND="
>=dev-python/click-6.6[${PYTHON_USEDEP}]
- dev-python/funcsigs[${PYTHON_USEDEP}]
dev-python/networkx[${PYTHON_USEDEP}]
dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/pydot[${PYTHON_USEDEP}]
dev-python/pydotplus[${PYTHON_USEDEP}]
dev-python/pygraphviz[${PYTHON_USEDEP}]
- dev-python/pytest[${PYTHON_USEDEP}]
dev-python/python-dateutil[${PYTHON_USEDEP}]
- >=dev-python/traits-4.6.0[${PYTHON_USEDEP}]
- sci-libs/scipy[${PYTHON_USEDEP}]
dev-python/simplejson[${PYTHON_USEDEP}]
+ dev-python/traits[${PYTHON_USEDEP}]
+ sci-libs/scipy[${PYTHON_USEDEP}]
+ virtual/python-funcsigs[${PYTHON_USEDEP}]
"
-python_prepare_all() {
- distutils-r1_python_prepare_all
- EXISTING_REQUIRE="setup_requires=\['future', 'configparser'\]"
- CORRECTED_REQUIRE="setup_requires=\['future'\]"
- sed \
- -e "s/${EXISTING_REQUIRE}/${CORRECTED_REQUIRE}/g" \
- -i setup.py \
- || die "sed setup.py"
-}
-
python_test() {
- nosetests -v || die
+ py.test -v --cov nipype\
+ --cov-config .coveragerc\
+ --cov-report xml:cov.xml\
+ -c nipype/pytest.ini\
+ --doctest-modules nipype\
+ || die
}